> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar grupos

> Listar grupos de autenticação da conta

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.pt-br.json GET /v1/public/accounts/{account_id}/auth/groups
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/groups:
    get:
      tags:
        - public-accounts
        - public-account-auth
      summary: Listar grupos de autenticação da conta
      description: Lista grupos vinculados a uma conta.
      operationId: >-
        list_public_account_auth_groups_v1_public_accounts__account_id__auth_groups_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/GroupResponse'
                title: >-
                  Response List Public Account Auth Groups V1 Public Accounts 
                  Account Id  Auth Groups Get
                type: array
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de validação
      security:
        - PublicBearerAuth: []
components:
  schemas:
    GroupResponse:
      properties:
        account_id:
          format: uuid
          title: conta ID
          type: string
        attributes:
          additionalProperties:
            items:
              type: string
            type: array
          title: atributos
          type: object
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: descrição
        id:
          title: ID
          type: string
        keycloak_account_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Keycloak conta ID
        keycloak_name:
          title: Keycloak nome
          type: string
        linked_scopes:
          items:
            $ref: '#/components/schemas/GroupScopeLinkResponse'
          title: vinculados escopos
          type: array
        name:
          title: nome
          type: string
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: pai ID
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: caminho
        permission_context:
          $ref: '#/components/schemas/PermissionInspectabilitySnapshot'
        subgroup_ids:
          items:
            type: string
          title: subgrupo IDs
          type: array
      required:
        - id
        - account_id
        - name
        - keycloak_name
      title: GroupResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detalhe
          type: array
      title: HTTPValidationError
      type: object
    GroupScopeLinkResponse:
      description: Esquema para um escopo de recurso vinculado a um grupo.
      properties:
        resource_id:
          format: uuid
          title: recurso ID
          type: string
        resource_type:
          title: recurso tipo
          type: string
      required:
        - resource_type
        - resource_id
      title: GroupScopeLinkResponse
      type: object
    PermissionInspectabilitySnapshot:
      description: >-
        Instantâneo de inspecionabilidade compartilhado para gerenciamento de
        usuários, grupos e convites.
      properties:
        assigned_bundle_keys:
          items:
            type: string
          title: Chaves de pacote atribuídas
          type: array
        direct_capability_keys:
          items:
            type: string
          title: Direct capacidade Keys
          type: array
        owner_assignments:
          items:
            $ref: '#/components/schemas/OwnerAssignmentSnapshot'
          title: proprietário atribuições
          type: array
        resolved_capability_keys:
          items:
            type: string
          title: resolvido capacidade Keys
          type: array
        status:
          default: active
          title: Status
          type: string
        subject_id:
          default: ''
          title: sujeito ID
          type: string
        subject_type:
          default: unknown
          title: sujeito tipo
          type: string
      title: PermissionInspectabilitySnapshot
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Localização
          type: array
        msg:
          title: Mensagem
          type: string
        type:
          title: Tipo de erro
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    OwnerAssignmentSnapshot:
      description: Esquema que indica um relacionamento com o proprietário da conta.
      properties:
        account_id:
          format: uuid
          title: conta ID
          type: string
      required:
        - account_id
      title: OwnerAssignmentSnapshot
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````